/******************************************************************************
*   sfmou.h    standart mouse routines to run under Os/2 version 1.0          *
*                                                                             *
*                                                                             *
*                                                                             *
*                                                        07/10/88             *
******************************************************************************/


#define M_NO_WAIT  0      /*  do not wait for mouse action */

#define M_WAIT     1      /*  wait for mouse action */

#define NO_MOUSE   0     /*  mouse wait failed */


struct MOUPOS {
                USHORT row;
                USHORT col;
              };





void sfmou_open(char *,HMOU *);
/* char *mousys;
   HMOU *mouse;  */
/******************************************************************************
*   sfmou_open    opens mouse for use in your application                     *
*                       returns  mouse  a handle for other calls              *
*                       mousys most contains the name of your pointer draw    *
*                       device defineed in your config file                   *
*                       use "point01.sys"                                     *
*                       Note pass 0 as mousys to get default pointer draw     *
*                       defined in your config.                               *
*                                                                             *
*   NOTE: must call sfmou_draw_ptr to start showing mouse                     *
*                                                                             *
*   note: mouse will have value NO_MOUSE if mouse opens fails.                *
******************************************************************************/



void sfmou_draw_ptr(HMOU);
/* HMOU mouse; */
/******************************************************************************
*  sfmou_draw_ptr   -  start displaying mouse pointer                         *
******************************************************************************/


void sfmou_read(int *,int *,int *,int *,int *,int *,int *,HMOU);
/* int *event, *b1, *b2, *b3, *row, *col;
  int *wait;
  HMOU mouse; */
/******************************************************************************
*  sfmou_read_mouse   read mouse event que and returns the following          *
*                                                                             *
*                     event = 1 if no buttons pushed since last read put      *
*                               there is mouse movement                       *
*                                                                             *
*                     b1 - b3   mouse buttons 1 - 3   1 = mouse button action *
*                                                     2 = Action and movement *
*                                                                             *
*                     row       current row position                          *
*                                                                             *
*                     col       current col position                          *
*                                                                             *
*                     wait      0 do not wait for mouse action                *
*                               1 wait for mouse action                       *
*                                                                             *
*                     mouse     mouse handle from sfmou_open                  *
******************************************************************************/


void sfmou_hide_ptr(NOPTRRECT *,HMOU);
/* NOPTRRECT *pa;
  HMOU  mouse; */
/******************************************************************************
*  sfmou_hide  -  nda is a data stucture that sets the area where mouse       *
*                 pointer will be hidden when in the define area              *
*                 the sub field names are   nda.row lower row area            *
*                                           nda.col lower col area            *
*                                           nda.cRow upper row area           *
*                                           nda.cCol upper col area           *
******************************************************************************/


void sfmou_set_ptr_loc(int,int,HMOU);
/* int row, col;
   HMOU  mouse; */
/******************************************************************************
* sfmou_set_ptr_loc  moves mouse pointer row, col specified                   *
******************************************************************************/


void sfmou_get_ptr_loc(int *,int *,HMOU);
/*
int *mx, *my;
HMOU mouse;
/*
/******************************************************************************
* sfmou_get_ptr_loc  get the mouse current pointer position x, y              *
******************************************************************************/


void sfmou_flush(HMOU);
/* HMOU mouse; */
/******************************************************************************
* sfmou_flush_mouse  removes all mouse input from mouse que                   *
******************************************************************************/





void sfmou_close(HMOU);
/* HMOU mouse; */
/*******************************************************************************
*  sfmou_close_mouse   -  closes the mouse.                                    *
*******************************************************************************/


